DataBolsa docs
Referência da APIExtensõesCreditWatchlists

Criar watchlist

Cria uma watchlist com nome, slug opcional, descrição e tipo (`book` ou `market`).

POST
/v1/desk/orgs/{org}/watchlists
AuthorizationBearer <token>

In: header

Path Parameters

orgstring

Id ou slug da organização (de deskGetMe).

namestring

Nome da watchlist.

Length2 <= length
slug?string

Slug estável para a URL; derivado do nome quando omitido.

description?string | null

Descrição livre.

kind?string

book = o que a casa gere ou originou; market = o que ela observa (default).

Value in"book" | "market"

Response Body

curl -X POST "https://api.databolsa.com/v1/desk/orgs/string/watchlists" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "kind": "string",
  "item_count": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string"
}